Operations related to market data and pricing
Xpansiv Managed Solutions API (1.10)
Access data from your Xpansiv Managed Solutions account using API calls. You can generate an API key for your user on Xpansiv Managed Solutions API Access page. The API key is linked to a user and an account, and has the same rights as the user on the account. When calling Xpansiv Managed Solutions API use that API key to set the Bearer Token authentication header.
Download OpenAPI description
Overview
E-mail
Languages
Servers
https://www.ms.xpansiv.com/app/api/v1/
Facility groups
Managed facility groups for organizing facilities under an account (nameplate capacity cap, membership). Routes: GET /managed_facility_group (singular, paginated list); POST and sub-resources under /managed_facility_groups (plural). Path id managed_facility_group_id is the managed group primary key. member_id in member routes is the facility id (facilities_id).
Operations
- https://www.ms.xpansiv.com/app/api/v1/utilities
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://www.ms.xpansiv.com/app/api/v1/utilities?county=string&state=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "code": 200, "elements": null, "data": [ { … } ] }